Orbiq logoTrust Center Documentation
API v1 ReferenceIntegrationsSlackInteractions

Receive Slack interactions

Validates the Slack request signature and forwards interaction payloads to the jobs service. `view_submission` interactions return a JSON clear response;…

POST
/api/v1/integrations/slack/interactions

Validates the Slack request signature and forwards interaction payloads to the jobs service. view_submission interactions return a JSON clear response; other interaction types return HTTP 200 with an empty body.

Header Parameters

x-slack-signature*string
x-slack-request-timestamp*string

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/slack/interactions" \  -H "Content-Type: application/x-www-form-urlencoded" \  -H "x-slack-request-timestamp: 1739612400" \  -H "x-slack-signature: v0=..." \  --data-urlencode 'payload={"type":"block_actions","team":{"id":"T123"}}'
{  "response_action": "clear"}

How is this guide?